<?php

namespace Src\Controller;

use Src\App\FloraLMSPluginService;


class CoursesController
{
    const COURSE_POST_TYPE_NAME = 'Course';

    private $floraLMSPluginService;

    public function __construct(FloraLMSPluginService $floraLMSPluginService)
    {
        $this->floraLMSPluginService = $floraLMSPluginService;
    }

    public function register()
    {
        $this->floraLMSPluginService->getWordpressAdapter()->flushRewriteRules();
        /** @see CoursesController::registerPostType() **/
        $this->floraLMSPluginService->getWordpressAdapter()->addActionOnInitialization(array($this, 'registerPostType'));
        /** @see CoursesController::preventPostDelete() **/
        $this->floraLMSPluginService->getWordpressAdapter()->addFilterOnDeletePost(array($this, 'preventPostDelete'));
        /** @see CoursesController::preventPostTrashing() **/
        $this->floraLMSPluginService->getWordpressAdapter()->addFilterOnTrashPost(array($this, 'preventPostTrashing'));
    }

    public function preventPostDelete($delete, $post, $forceDelete)
    {
        if ($post->post_type === strtolower(self::COURSE_POST_TYPE_NAME))
        {
            return false;
        }
        return $delete;
    }

    public function preventPostTrashing($trash, $post)
    {
        if ($post->post_type === strtolower(self::COURSE_POST_TYPE_NAME))
        {
            return false;
        }
        return $trash;
    }

    public function registerPostType()
    {
        $this->floraLMSPluginService->getWordpressAdapter()->registerCustomPostType(self::COURSE_POST_TYPE_NAME);
    }
}