<?php

namespace Src\Controller;

use Src\View\SettingsView;
use Src\App\FloraLMSPluginService;

class SettingsController
{
    private $floraLMSPluginService;

    public function __construct(FloraLMSPluginService $floraLMSPluginService)
    {
        $this->floraLMSPluginService = $floraLMSPluginService;
    }

    public function register()
    {
       (new SettingsView(
            $this->floraLMSPluginService->isRegistrationDataProvided(),
            /** @see FloraLMSPluginService::updateCourses() **/
            array($this->floraLMSPluginService, 'updateCourses'),
            /** @see FloraLMSPluginService::saveSecretKey() **/
            array($this->floraLMSPluginService, 'saveSecretKey'),
            /** @see FloraLMSPluginService::saveDomainName() **/
            array($this->floraLMSPluginService, 'saveDomainName'),
           $this->floraLMSPluginService->getWordpressAdapter()))->register();
    }
}