<?php

namespace Src\View;

use Src\App\Course;
use Src\App\WordpressAdapterInterface;

class CoursesView
{
    const COURSE_PAGE_NAME = 'Courses';

    private $wordpressAdapter;

    public function __construct(WordpressAdapterInterface $wordpressAdapter)
    {
        $this->wordpressAdapter = $wordpressAdapter;
    }

    public static function getContent(Course $course, $actionUrl)
    {
        $url = $actionUrl . $course->getUrl();
        $courseView = "
        <div class='item'>            
            <div class='item_description'>
                <!-- You can use small, medium, large thumbnail sizes -->
                <img src='{$course->getThumbnailUrl()}' alt='course-image'>
                <p>{$course->getDescription()}</p>                
                <a href='{$url}'>CourseReference</a>
            </div>
        </div>
        ";
        return $courseView;
    }

    public function updateCoursesTemplate($template)
    {
        global $post;

        if ($post->post_title === self::COURSE_PAGE_NAME)
        {
            return $this->wordpressAdapter->retrievePluginDirPath() . '/templates/products.php';
        }

        return $template;
    }

}