<?php

namespace Src\App;

interface FloraLMSAdapterInterface
{

    /**
     * @param string $domainName
     * @param int $timestamp
     * @param HttpClientInterface $httpRequest
     * @return array
     */
    public function retrieveCoursesList($domainName, $timestamp, HttpClientInterface $httpRequest);

    /**
     * @param string $userEmail
     * @param array $authData
     * @return string
     */
    public function generateJWTLink($userEmail, $authData);

    /**
     * @param WordpressAdapterInterface $wordpressAdapter
     * @return string
     */
    public static function addGoToFloraLMS(WordpressAdapterInterface $wordpressAdapter);

    /**
     * @param string $restUrl
     * @return string
     */
    public function getActionUrl($restUrl);
}