<?php

namespace Src\App;

interface RepositoryInterface
{
    /**
     * @return void
     */
    public function register();

    /**
     * @return void
     */
    public function clearData();

    /**
     * @param string $key
     * @return void
     */
    public function saveSecretKey($key);

    /**
     * @param string $domain
     * @return void
     */
    public function saveDomain($domain);

    /**
     * @return string
     */
    public function getUpdatedTime();

    /**
     * @param string $time
     * @return void
     */
    public function saveUpdatedTime($time);

    /**
     * @return array
     */
    public function getAuthData();

    /**
     * @return array
     */
    public function getCoursesRelatedArray();

    /**
     * @param string $localId
     * @param string $floraId
     * @return void
     */
    public function updateRelatedArray($localId, $floraId);

    /**
     * @param string $localId
     * @param string $title
     * @param string $courseContent
     * @return void
     */
    public function updateCourse($localId, $title, $courseContent);

    /**
     * @param string $localId
     * @return void
     */
    public function removeCourse($localId);
}